Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # locator_type Struct Template Reference [xxx_type] `#include <metafunctions.hpp>` List of all members. ## Detailed Description ### template<typename T, typename L, bool IsPlanar = false, bool IsStepX = false, bool IsMutable = true> struct boost::gil::locator_type< T, L, IsPlanar, IsStepX, IsMutable > Returns the type of a homogeneous locator given the channel type, layout, whether it operates on planar data and whether it has a step horizontally.
## Public Types
typedef type_from_x_iterator< typename iterator_type< T, L, IsPlanar, IsStepX, IsMutable >::type >::xy_locator_type | type
The documentation for this struct was generated from the following file: metafunctions.hpp